Bug 203104 - rtl8188ce PCI adapter not supported
Summary: rtl8188ce PCI adapter not supported
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-wireless mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-14 19:09 UTC by Tony Narlock
Modified: 2016-02-15 15:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Narlock 2015-09-14 19:09:55 UTC
Thinkpad X230 carry these.

https://forums.freebsd.org/threads/get-realtek-rtl8188ce-802-11-g-n-wifi-adapter-to-work.45914/

http://wiki.pcbsd.org/index.php/Wireless_Testing mentions it.

none2@pci0:3:0:0:	class=0x028000 card=0x819510ec chip=0x817610ec rev=0x01 hdr=0x00
    vendor     = 'Realtek Semiconductor Co., Ltd.'
    device     = 'RTL8188CE 802.11b/g/n WiFi Adapter'
    class      = network
    bar   [10] = type I/O Port, range 32, base rx4000, size 256, enabled
    bar   [18] = type Memory, range 64, base rxf1c00000, size 16384, enabled
    cap 01[40] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 05[50] = MSI supports 1 message, 64 bit 
    cap 10[70] = PCI-Express 2 endpoint max data 128(128) link x1(x1)
                 speed 2.5(2.5) ASPM L1(L0s/L1)
    ecap 0001[100] = AER 1 0 fatal 0 non-fatal 1 corrected
    ecap 0002[140] = VC 1 max VC0
    ecap 0003[160] = Serial 1 019181feff4ce000
  PCI-e errors = Correctable Error Detected
                 Unsupported Request Detected
     Corrected = Advisory Non-Fatal Error
Comment 1 Tony Narlock 2015-09-14 19:24:59 UTC
Hi, I am finding conflicting information. Another issue mentions rtl8188ce (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=168860).

Is anyone here running rtl8188ce correctly? The issue above didn't give us an svn version, so far my research hasn't found anyone successfully running this.

I do see "rtl8188ce-vau" mentioned in the top of https://github.com/freebsd/freebsd/blob/master/sys/dev/usb/wlan/if_urtwn.c.

Are there potentially multiple versions of rtl8188ce? Anymore information I could provide?

$ freebsd-version -ku; uname -apKU 
11.0-CURRENT
11.0-CURRENT
FreeBSD x230 11.0-CURRENT FreeBSD 11.0-CURRENT #4: Fri Sep 11 11:42:41 CDT 2015     root@x230:/usr/obj/usr/src/sys/MYKERNEL  amd64 amd64 1100079 1100079
Comment 2 Tony Narlock 2015-09-14 19:31:31 UTC
It's been my understanding for a while rtl8188ce support doesn't exist, or is missing.

I have another issue at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=203105 to port the OpenBSD rtwn driver (new in 5.8) which I had good results with.

Looking for a word back on this and we'll handle things accordingly.

If by chance I'm totally out of the loop - no problem, we'll at least been on the record / more clear on the state of it.
Comment 3 Tony Narlock 2015-09-15 03:04:21 UTC
As an update:

> That's it. Unfortunately, the only OpenBSD driver that has support for this is the RTL8188CE-VAU, a USB variant chipset, via the urtwn(4) driver. which is USB-only. There is no driver for the for the PCI-bus RTL8188CE.

source: http://daemonforums.org/showpost.php?p=50084&postcount=9

So we are in fact missing support for RTL8188CE (the PCI one) you would find in a laptop like the Thinkpad X230.
Comment 4 Andriy Voskoboinyk freebsd_committer 2016-02-15 15:30:28 UTC
Seems to be fixed in r293010.